{% extends 'bases/home.html' %}

{% load static %}

{% block content %}
<!-- Content Header (Page header) -->
<div class="content-header">
  <section class="content">
    <div class="container-fluid">
      <div class="row">
        <div class="col-10">
          <form method="post">
            {% csrf_token %}
            
            <!-- Input addon -->
            <!-- card -->
            <div class="card">
              
              {% if obj %}
                <div class="card-warning">
              {% else %}
                <div class="card-success">
              {% endif %}

              <div class="card-header">
                <h3 class="card-title text-uppercase">Cajeros</h3>
              </div>

              <!-- <img class="card-img-top p-4" src="{% static 'dist/img/localidad.svg' %}" style="height: 200px; width: 200px;" alt="Card image"> -->
              <!-- card-body -->
              <div class="card-body">                
                <!-- fila 1 -->
                <div class="row mt-2">
                  <div class="col-4">
                    <div class="form-group">
                      <label for="id_nombres" class="text-sm text-uppercase text-black-50" style="font-family: Arial, Helvetica, sans-serif;">{{ form.nombres.label }}: <i class="fa fa-asterisk badge-warning"></i></label>                      
                      {{ form.nombres }}                     
                    </div>
                  </div>

                  <div class="col-4">
                    <div class="form-group">
                      <label for="id_ap_paterno" class="text-sm text-uppercase text-black-50" style="font-family: Arial, Helvetica, sans-serif;">APELLIDO PATERNO: <i class="fa fa-asterisk badge-warning"></i></label>                      
                      {{ form.ap_paterno }}                      
                    </div>
                  </div>

                  <div class="col-4">
                    <div class="form-group">
                      <label for="id_ap_materno" class="text-sm text-uppercase font-weight-lighter" style="font-family: Arial, Helvetica, sans-serif;">APELLIDO MATERNO:</label>                      
                      {{ form.ap_materno }}                      
                    </div>
                  </div>                
                </div>  
                
                  <!-- fila 2 -->
                  <div class="row mt-2">
                    <div class="col-4">
                      <div class="form-group">
                          <label for="id_localidad" class="text-sm text-uppercase text-black-50" style="font-family: Arial, Helvetica, sans-serif;">Localidad: <i class="fa fa-asterisk badge-warning"></i></label>
                           {{ form.localidad }}                      
                      </div>
                     </div>
  
                    <div class="col-4">                    
                      <div class="form-group">
                          <label for="id_genero" class="text-sm text-uppercase text-black-50" style="font-family: Arial, Helvetica, sans-serif;">Genéro: <i class="fa fa-asterisk badge-warning"></i></label>
                           {{ form.genero }}                      
                      </div>
                    </div>
  
                    <div class="col-4">
                      <div class="form-group">
                        <label for="id_notas" class="text-sm text-uppercase font-weight-lighter" style="font-family: Arial, Helvetica, sans-serif;">Notas:</label>
                        {{form.notas }}
                        <!-- <input type="text" name="notas" id="id_notas" class="form-control" placeholder="Notas.."> -->
                      </div>
                    </div>
                  </div>

                <!-- fila 3 -->
                <div class="row mt-2">
                  <div class="col-4">
                    <label for="id_domicilio" class="text-sm text-uppercase font-weight-lighter" style="font-family: Arial, Helvetica, sans-serif;">Domicilio:</label>
                    
                    <div class="input-group mb-3">                      
                      <div class="input-group-prepend">
                        <span class="input-group-text"><i class="fa fa-building"></i></span>
                      </div>
                      {{ form.domicilio }}                      
                    </div>
                  </div>

                  <div class="col-4">
                    <div class="form-group">
                      <label for="id_telefono" class="text-sm text-uppercase font-weight-lighter" style="font-family: Arial, Helvetica, sans-serif;">MX Teléfono:</label>                      
                      <div class="input-group">
                        <div class="input-group-prepend">
                          <span class="input-group-text"><i class="fas fa-phone"></i></span>
                        </div>
                        {{ form.telefono }}                        
                      </div>
                      <!-- /.input group -->
                    </div>
                    <!-- /.form group -->
                  </div>

                  <div class="col-4">
                    <label for="id_correo" class="text-sm text-uppercase font-weight-lighter" style="font-family: Arial, Helvetica, sans-serif;">Correo Electrónico:</label>                    
                    <div class="input-group mb-3">
                      
                      <div class="input-group-prepend">
                        <span class="input-group-text"><i class="fas fa-envelope"></i></span>
                      </div>
                      {{ form.correo }}                     
                    </div>
                  </div>
                </div>

                <div class="dropdown-divider"></div>
                <div class="row">
                  <div class="col-2"></div>
                  <div class="col-4">
                    <button type="submit" class="btn btn-success btn-block"><i class="fa fa-save"></i><span>
                        Guardar</span></button>
                  </div>

                  <div class="col-4">
                    <a href="{% url 'app_clientes:cajeros_list' %}" class="btn btn-info btn-block">
                      <i class="fas fa-window-close"></i><span> Cancelar</span>
                    </a>
                  </div>
                  <div class="col-2"></div>
                </div>

              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card-header -->
          </div>
        </div>
        </div>
        <!-- /.card -->
        </form>
        <!-- ./form -->
      </div>
    </div>
</div>
</section>
<!-- /.container-fluid -->
</div>
<!-- /.content-header -->
{% endblock content %}

{% block js_page %}
<script>
  //Initialize Select2 Elements
  // carga del DOM
  $(function () {
    //Initialize Select2 Elements
    $('#id_localidad').select2()

    //Initialize Select2 Elements
    $('#id_localidad').select2({
      theme: 'bootstrap4'
    })   

  });
</script>
{% endblock js_page %}

  